VictorAntona
Industrial
- Feb 1, 2014
- 6
Hi, I'm using Abaqus Scripting to make an impact model in my final degree proyect.
This is the first time working with Python and I'm having some problems.
I have to design a cylinder with the next features (3D and analytical rigid surface)and when I run the script in Abaqus I always receive this message "Analytical rigid surface revolve feature failed"
This is my code, and any help will well appreciated. Thank you.
from abaqus import *
from abaqusConstants import *
import regionToolset
session.viewports['Viewport: 1'].setValues(displayedObject=None)
#----------------------------------------------------------------------
#Create model
mdb.models.changeKey(fromName='Impact', toName='Impact')
shellModel = mdb.models['Impact']
#-----------------------------------------------------------------------
#Create the shell
import sketch
import part
shellProfileSketch = shellModel.ConstrainedSketch(name='Shell CS Profile',sheetSize=5)
shellProfileSketch.rectangle(point1=(0,0), point2=(0.1,0.1))
shellPart=shellModel.Part(name='Placa',dimensionality=THREE_D, type=DEFORMABLE_BODY)
shellPart.BaseSolidExtrude(sketch=shellProfileSketch, depth=0.004)
#Create proyectil
import sketch
import part
proyectilProfileSketch = shellModel.ConstrainedSketch(name='Proyectil CS Profile',sheetSize=5)
proyectilProfileSketch.Line(point1=(0,0), point2=(0.0065,0))
proyectilProfileSketch.Line(point1=(0.0065,0), point2=(0.0065,0.025))
proyectilProfileSketch.Line(point1=(0.0065,0.025), point2=(0,0.025))
proyectilProfileSketch.Line(point1=(0,0.025), point2=(0,0))
proyectilPart=shellModel.Part(name='Proyectil', dimensionality=THREE_D, type=ANALYTIC_RIGID_SURFACE)
proyectilPart.AnalyticRigidSurfRevolve(sketch=proyectilProfileSketch)
#-----------------------------------------------------------------------
This is the first time working with Python and I'm having some problems.
I have to design a cylinder with the next features (3D and analytical rigid surface)and when I run the script in Abaqus I always receive this message "Analytical rigid surface revolve feature failed"
This is my code, and any help will well appreciated. Thank you.
from abaqus import *
from abaqusConstants import *
import regionToolset
session.viewports['Viewport: 1'].setValues(displayedObject=None)
#----------------------------------------------------------------------
#Create model
mdb.models.changeKey(fromName='Impact', toName='Impact')
shellModel = mdb.models['Impact']
#-----------------------------------------------------------------------
#Create the shell
import sketch
import part
shellProfileSketch = shellModel.ConstrainedSketch(name='Shell CS Profile',sheetSize=5)
shellProfileSketch.rectangle(point1=(0,0), point2=(0.1,0.1))
shellPart=shellModel.Part(name='Placa',dimensionality=THREE_D, type=DEFORMABLE_BODY)
shellPart.BaseSolidExtrude(sketch=shellProfileSketch, depth=0.004)
#Create proyectil
import sketch
import part
proyectilProfileSketch = shellModel.ConstrainedSketch(name='Proyectil CS Profile',sheetSize=5)
proyectilProfileSketch.Line(point1=(0,0), point2=(0.0065,0))
proyectilProfileSketch.Line(point1=(0.0065,0), point2=(0.0065,0.025))
proyectilProfileSketch.Line(point1=(0.0065,0.025), point2=(0,0.025))
proyectilProfileSketch.Line(point1=(0,0.025), point2=(0,0))
proyectilPart=shellModel.Part(name='Proyectil', dimensionality=THREE_D, type=ANALYTIC_RIGID_SURFACE)
proyectilPart.AnalyticRigidSurfRevolve(sketch=proyectilProfileSketch)
#-----------------------------------------------------------------------